Subject: Re: bug#29321: Isearch hit count

From: [email-masked] (Charles A. Roelli)
Date: Sun, 19 Nov 2017 18:12:08 +0100

> Date: Thu, 16 Nov 2017 14:25:29 -0800 (PST)
> From: Drew Adams <[email-masked]>
>
> I don't think Isearch determines all of the hits at once (even
> in just the current search direction and starting from point).
> Instead, it searches only on demand, *incrementally*, as the
> name suggests.

Right, and that behavior is useful when doing an Isearch in, for
example, shell buffers, where new matches for a search string might
enter the buffer after the search begins, or in large buffers, where
finding each match would be prohibitive.  But in most other cases,
giving some contextual information as to how many search matches are
after or before point would be a cheap operation.